#!/bin/bash

ROOT_UID=0

abs_path=$(cd `dirname $0`;pwd)
jyn_install_path=$abs_path/../

verstr=`cat $jyn_install_path/Config.ini|grep -v "Mon"|grep "Type"`
versub=`echo ${verstr#*.}`
verflag=`echo ${versub:1:1}`

versubsdk=`echo ${verstr##*.}`
verflagsdk=`echo ${versubsdk:2:1}`


#check root
check_root(){
if [ "$UID" -ne "$ROOT_UID" ]; then
  echo "please running as root..."
  exit 0
fi
}

#kill and restart
start_all(){
	service jynzdfy start
	if [[ $verflag == "1" && $verflagsdk == "4" ]]; then
		echo "ui sdk no gltx"
	else
		service jyngltx start
	fi	
	if [[ $verflag != "2" ]]; then
		service jyngjcz start
		sudo -u `last -w | grep log | head -n 1 | awk '{print $1}'` -i $jyn_install_path/JYNRJJH1 -autodisp >/dev/null 2>&1 &
	fi
}

stop_all(){
	if [[ $verflag != "1" && $verflagsdk != "4" ]]; then
		echo "ui sdk no gltx"
	else
		service jyngltx stop
	fi	
	if [[ $verflag != "2" ]]; then
		kill -9 `pgrep JYNRJJH2`
		service jyngjcz stop
	fi
	service jynzdfy stop
}

restart_all(){
	if [[ $verflag != "1" && $verflagsdk != "4" ]]; then
		echo "ui sdk no gltx"
	else
		service jyngltx restart
	fi	
	if [[ $verflag != "2" ]]; then
		kill -9 `pgrep jynrjjh2`
		service jyngjcz restart
		sudo -u `last -w | grep log | head -n 1 | awk '{print $1}'` -i $jyn_install_path/jynrjjh1 -autodis >/dev/null p 2>&1 &
	fi
	service jynzdfy restart
}

case "$1" in
start)
	check_root
	start_all
  ;;
stop)
	check_root
	stop_all
  ;;
status)
	if [[ $verflag != "1" && $verflagsdk != "4" ]]; then
		echo "ui sdk no gltx"
	else
		service jyngltx status
	fi	
	if [[ $verflag != "2" ]]; then
		service jyngjcz status
	fi
	service jynzdfy status
  ;;
restart)
	check_root
	restart_all
	;;
*)
  echo $"usage: $0 {start|stop|restart|status}"  
  exit 1
esac

