#!/bin/bash

jyn_install_path=/opt/bdfz/jyn

cp_gjyn(){
	if [ -d "/usr/lib/loongarch64-linux-gnu/peony-extensions" ];then
        	cp -b $jyn_install_path/gjyn/$1/* /usr/lib/loongarch64-linux-gnu/peony-extensions
	elif [ -d "/usr/lib/x86_64-linux-gnu/peony-extensions/" ];then
        	cp -b $jyn_install_path/gjyn/$1/* /usr/lib/x86_64-linux-gnu/peony-extensions/
	elif [ -d "/usr/lib/mips64el-linux-gnuabi64/peony-extensions/" ];then
        	cp -b $jyn_install_path/gjyn/$1/* /usr/lib/mips64el-linux-gnuabi64/peony-extensions/
	elif [ -d "/usr/lib/aarch64-linux-gnu/peony-extensions/" ];then
        	cp -b $jyn_install_path/gjyn/$1/* /usr/lib/aarch64-linux-gnu/peony-extensions/
	elif [ -d "/usr/lib/mips64el-linux-gnu/$1/extensions-2.0/" ];then
		cp -b $jyn_install_path/gjyn/$1/* /usr/lib/mips64el-linux-gnu/$1/extensions-2.0/
	elif [ -d "/usr/lib64/$1/extensions-3.0/" ];then
		cp -b $jyn_install_path/gjyn/$1/* /usr/lib64/$1/extensions-3.0/
	elif [ -d "/usr/lib/$1/extensions-3.0/" ];then
		cp -b $jyn_install_path/gjyn/$1/* /usr/lib/$1/extensions-3.0/
	elif [ -d "/usr/lib64/$1/extensions-2.0/" ];then
		cp -b $jyn_install_path/gjyn/$1/* /usr/lib64/$1/extensions-2.0/
	elif [ -d "/usr/lib/$1/extensions-2.0/" ];then
		cp -b $jyn_install_path/gjyn/$1/* /usr/lib/$1/extensions-2.0/
	elif [ -d "/usr/lib/aarch64-linux-gnu/caja/extensions-2.0/" ];then
        	cp -b $jyn_install_path/gjyn/caja/* /usr/lib/aarch64-linux-gnu/caja/extensions-2.0/
	elif [ -d "/usr/lib/x86_64-linux-gnu/caja/extensions-2.0/" ];then
	        cp -b $jyn_install_path/gjyn/caja/* /usr/lib/x86_64-linux-gnu/caja/extensions-2.0/
	else
		echo "gjyn.so is failure"
	fi
}

command_exists(){
	command -v "$1" &> /dev/null;
}


if command_exists nemo ; then
	echo "cp nemo files"
	cp -b $jyn_install_path/gjyn/nemo/jynscan.nemo_action /usr/share/nemo/actions/
elif command_exists caja ; then
	echo "cp caja files"
	cp_gjyn caja
elif command_exists nautilus ; then
	echo "cp nautilus files"
	cp_gjyn nautilus
elif command_exists dde-file-manager ; then
	echo "cp dde-file-manager files"	
	cp -b $jyn_install_path/gjyn/dde/deepin-chenxinsd.desktop  /usr/share/deepin/dde-file-manager/oem-menuextensions/
elif command_exists peony ; then
	echo "cp peony files"	
	cp_gjyn peony
fi

