#!/bin/bash  
# bsd linux 启动脚本
GLTX_PATH="/etc/init.d/jyngltx"
GJCZ_PATH="/etc/init.d/jyngjcz"
ZDFY_PATH="/etc/init.d/jynzdfy"

#$2 servername $1 rc.local path
function check_and_delete(){
if test -f "$1"; then
  PATH_EXIST=`grep -c $2 "$1"`
  if [ $PATH_EXIST -eq 1 ]
  then
    sed -i "/$2/d" $1
    echo "UnInstall Successed"
  else
    echo "already UnInstalled"
  fi
fi
}

#$2 servername $1 rc.local path
function add_to_rclocal(){
if test -f "$1"; then
  PATH_EXIST=`grep -c $2 $1`
 	HAS_EXIT=`cat $1| grep -v "#"  | grep -c "exit 0"`

  if [ $PATH_EXIST -eq 0 ]; then
    if [ $HAS_EXIT -eq 1 ]; then
      sed -i "/^exit 0/i$2 start" $1
    else
      echo $2 start >> $1
    fi
	else
		echo "already setted"
	fi
fi
}

enable(){  
	echo "enable startup"
	add_to_rclocal /etc/rc.local "$GLTX_PATH"
	add_to_rclocal /etc/rc.local "$GJCZ_PATH"
	add_to_rclocal /etc/rc.local "$ZDFY_PATH"
	add_to_rclocal /etc/rc.d/rc.local "$GLTX_PATH"
	add_to_rclocal /etc/rc.d/rc.local "$GJCZ_PATH"
	add_to_rclocal /etc/rc.d/rc.local "$ZDFY_PATH"
}  

#stop function  
disable() {  
	echo "disable startup"
	check_and_delete /etc/rc.local "JYNGLTX"
	check_and_delete /etc/rc.local "JYNGJCZ"
	check_and_delete /etc/rc.local "JYNZDFY"
	check_and_delete /etc/rc.d/rc.local "JYNGLTX"
	check_and_delete /etc/rc.d/rc.local "JYNGJCZ"
	check_and_delete /etc/rc.d/rc.local "JYNZDFY"
}

start(){
	$GLTX_PATH start
	$GJCZ_PATH start
	$ZDFY_PATH start
}

stop(){
	$ZDFY_PATH stop
	$GLTX_PATH stop
	$GJCZ_PATH stop
}

case "$1" in  
start)
start
;;
stop)
stop
;;
enable)  
enable  
;;  
disable)  
disable 
;;  
*)  
echo $"Usage: $0 {enable|disable}"  
exit 1  
esac  
