#!/bin/bash

abs_path=$(cd `dirname $0`;pwd)
config_path="$abs_path/../LogConf.ini"
level=`cat $config_path | grep -o "[0-4]"`

check_change(){
	if [ "$level" -eq $1 ]; then
		if [ "$level" -eq "0" ]; then
			echo "已经打开，无需更改"
			exit 0
		else 
			echo "已经关闭，无需更改"
			exit 0
		fi
	fi
}

check_status(){
	cur_level=`cat $config_path | grep -o "[0-4]"`
	if [ "$cur_level" -eq 0 ]; then
		echo "日志状态：开"
	else
		echo "日志状态：关"
	fi

	echo "配置发生变化后，下次启动服务生效"
}

case "$1" in
on)
	check_change 0
	sed -i "/^Debuglevel/cDebuglevel=0" $config_path
	check_status
	;;
off)
	check_change 4
	sed -i "/^Debuglevel/cDebuglevel=4" $config_path
	check_status
	;;
status)
	check_status
	;;
*)
	echo $"Usage: $0 {on|off|status}"  
	exit 1
esac

