#!/bin/bash

abs_path=$(cd `dirname $0`;pwd)
config_path="$abs_path/../LogConf.ini"

gjcz_loglink="scanplug.INFO"
gltx_loglink="controlcenter.INFO"
gjcz_loglink_warn="scanplug.WARNING"
gltx_loglink_warn="controlcenter.WARNING"

tailf_log(){
	echo "logfile: `ls -l /tmp/$1 | awk '{print $NF}'`"
	tail -f /tmp/$1
}

check_log_swtich(){
	level=`cat $config_path | grep -o "[0-4]"`
 	if [ "$level" -eq "4" ]; then
		echo "当前日志为关闭状态,如需要打开执行logswitch.sh on"	
		exit 1
	fi	
}

check_log_swtich

case "$1" in
gjcz_info)
	tailf_log $gjcz_loglink
  ;;
gltx_info)
	tailf_log $gltx_loglink
  ;;
gjcz_warn)
	tailf_log $gjcz_loglink_warn
  ;;
gltx_warn)
	tailf_log $gjcz_loglink_warn
  ;;
guid)
	cat /tmp/$gltx_loglink | grep -o "GUID.*"
  ;;
clean_all)
	rm -vf /tmp/scanplug.*
	rm -vf /tmp/controlcenter.*
	;;
*)
  echo "Usage: $0 {gjcz_info|gjgz_warning|gltx_info|gltx_warning|guid}"  
  exit 1
esac
